## net.i2p.router.client
Class CreateSessionJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.client.CreateSessionJob

All Implemented Interfaces:
  Job

     class CreateSessionJob

extends JobImpl

Given an established connection, walk through the process of establishing the lease set. This requests the TunnelManagerFacade to build tunnels for the client and then once thats done (asynchronously) it requests a lease set from the client

Constructor Summary
`CreateSessionJob(RouterContext context, ClientConnectionRunner runner)`

Method Summary
`java.lang.String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateSessionJob

    public CreateSessionJob(RouterContext context,
                            ClientConnectionRunner runner)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.